Bug 210745 - ekg is not UTF-8 aware
Summary: ekg is not UTF-8 aware
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ekg (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-14 08:01 UTC by Dawid Gajownik
Modified: 2008-01-11 22:19 UTC (History)
1 user (show)

Fixed In Version: 1.7-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 22:19:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dawid Gajownik 2006-10-14 08:01:13 UTC
Description of problem:
ekg is not UTF-8 aware

Version-Release number of selected component (if applicable):
ekg-1.7-0.3.rc2.fc5

Steps to Reproduce:
1° export LANG=pl_PL.UTF-8
2° run ekg
3° type for instance łążźćó
  
Actual results:
IIRC ekg developers don't want to add UTF-8 support. As a workaround you can
create wrapper which would run ekg via luit:

LANG=pl_PL luit ekg

or:

luit -encoding 'ISO 8859-2' ekg

Comment 1 Fedora Update System 2008-01-03 01:27:48 UTC
ekg-1.7-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ekg'

Comment 2 Fedora Update System 2008-01-03 01:41:40 UTC
ekg-1.7-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ekg'

Comment 3 Fedora Update System 2008-01-11 22:16:43 UTC
ekg-1.7-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2008-01-11 22:19:47 UTC
ekg-1.7-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.